<div class="reg2_page" *ngIf="!loading">
  <ng-template #templateSuccess>
    <div class="modal-header">
      <div class="modal-icon rounded-circle">
        <i class="fa-4x fas fa-tasks"></i>
      </div>
      <h4 class="modal-title" [translate]="'Modals.successTitle'"></h4>
    </div>
    <div class="modal-body" [translate]="'Modals.successBody'"></div>
    <div class="modal-footer">
      <button type="button" class="btn btn-primary" data-dismiss="modal" [translate]="'Modals.ok'" (click)="closeModal()"></button>
    </div>
  </ng-template>

  <ng-template #templateFail>
    <div class="modal-header">
      <div class="modal-icon rounded-circle">
        <i class="fa-4x fas fa-exclamation-triangle"></i>
      </div>
      <h4 class="modal-title" [translate]="'Modals.problem'"></h4>
    </div>
    <div class="modal-body">
      <div>
        <div class="failedLessons-container">
          <div class="failedLessons-container_item" *ngFor="let failedCourse of failedCourses">
            <div class="failedLessons-container_item_title">{{failedCourse.name}}</div>
            <!-- <div class="failedLessons-container_item_description">{{failedCourse.validationResult.message}}</div> -->
            <div class="failedLessons-container_item_description" [translate]="'Checkout.ErrorDefault'"></div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-primary" [translate]="'Modals.back'" (click)="backToEdit()" [routerLink]="['../overview']"></button>
      <button type="button" class="btn btn-cancel" [translate]="'Modals.close'" (click)="closeModal()"></button>
    </div>
  </ng-template>

  <div class="reg2__top">
    <div class="flex-grow-1">
      <div class="reg2__title-container">
        <!-- TITLE-CONTAINER -->
        <h2 [translate]="'Registrations.RegistrationCourses'"></h2>
        <div class="reg2__title-container__buttons">
          <!-- COMMENT: The button with three dots(It means more choices) will be hidden for now -->
          <!-- <div class="reg2__ellipsis-container">
            <i class="fas fa-ellipsis-v"></i>
          </div> -->
        </div>
      </div><!-- END OF TITLE-CONTAINER -->
      <div class="mb-3-5" style="font-size:17px;" *ngIf="openRegistrationPeriod" [translate]="'CourseRegistration.RegistrationOpenDates'"
        [translateParams]="{start: start, end: end}"></div>
      <div class="text-success mb-3-5 font-lg" [ngClass]="{'reg2__edited': registrationEdited, 'text-success': !registrationEdited}"
        [translate]="'PeriodRegistrationEffectiveStatus.' + code + '.headerText'"></div>
      <div class="font-lg mb-3-5">
        <span [translate]="'PeriodRegistrationEffectiveStatus.' + code + '.headerExtraText'"></span>
        <span class="font-weight-bold" [translate]="'PeriodRegistrationEffectiveStatus.' + code + '.headerExtraTextBold'"></span>
      </div>
      <!-- INFO CONTAINER -->
      <div class="reg2__info-container--horizontal d-lg-none d-sm-flex">
        <div class="reg2__info-container__main-card--horizontal">
          <div class="font-sm" [translate]="'Registrations.StatementOfRegistration'"></div>
          <div class="font-lg mt-2">
            <div [translate]="'PeriodRegistrationEffectiveStatus.' + code + '.windowStatus'"></div>
            <div class="text-success" [translate]="'PeriodRegistrationEffectiveStatus.' + code + '.windowExtraStatus'"></div>
          </div>
          <div class="reg2__info-container_buttons">
            <button class="reg2__button-primary btn reg2__success-button mt-3 mr-2" type="button" [translate]="'RegistrationsButtons.Submit'"
              (click)="registerSelected()"></button>
            <button class="reg2__button-primary btn reg2__btn--gray mt-3 mr-2" type="button" [translate]="'RegistrationsButtons.Edit'"
              (click)="enableEdit()" [routerLink]="['../overview']"></button>
          </div>
        </div>
      </div>
    </div>
    <!--END OF FLEX GROW-1 (left part of reg2-page) -->


    <div class="reg2__buttons-container d-none d-lg-flex">
      <button class="reg2__button-primary btn d-none d-lg-flex reg2__btn--gray mr-2" type="button" disabled>
        <span [translate]="'RegistrationsButtons.Print'"></span>
        <!-- <span class="arrow-down"></span> -->
      </button>
      <button class="reg2__button-primary btn d-none d-lg-flex reg2__btn--gray mr-2" type="button" [translate]="'RegistrationsButtons.Edit'"
        (click)="enableEdit()" [routerLink]="['../overview']">

      </button>

    </div>
  </div>



  <div class="display-flex">

    <div class="reg2__lists-container">

      <!-- TODO: Adding for example "A Semester,B Semester..." -->
      <span class="sis--list-title">A Εξάμηνο</span>

      <!-- Start of List Group Header-->
      <ul class="sis--list-group sis--list-group-header">
        <li class="sis--list-group-item">
          <div class="display-flex">
            <div class='sis--list-group-item_lg_column' [translate]="'Registrations.Course'"></div>
            <div class='sis--list-group-item_md_column d-none d-sm-block' [translate]="'Registrations.Code'"></div>
            <div class='sis--list-group-item_lg_column d-none d-xl-block' [translate]="'Registrations.Specialty'"></div>
            <div class='sis--list-group-item_sm_column d-none d-sm-block' [translate]="'Registrations.Type'"></div>
            <div class='sis--list-group-item_sm_column d-none d-lg-block' [translate]="'Registrations.CP'"></div>
            <div class='sis--list-group-item_sm_column d-none d-lg-block' [translate]="'Registrations.ECTS'"></div>
          </div>
        </li>
      </ul>
      <!-- End of List Group Header-->

      <!-- Start of List Group Body-->
      <ul class="sis--list-group sis--list-group-body">
        <li class="sis--list-group-item" *ngFor="let course of coursesToRegister">
          <div class="flex-centering">
            <div class='sis--list-group-item_lg_column'>{{course?.name}}</div>
            <div class='sis--list-group-item_md_column d-none d-sm-block'>{{course?.displayCode}}</div>
            <div class='sis--list-group-item_lg_column d-none d-xl-block'>{{course?.specialty?.name}}</div>
            <div class='sis--list-group-item_sm_column d-none d-sm-block'>{{course?.courseType?.abbreviation}}</div>
            <div class='sis--list-group-item_sm_column d-none d-lg-block'>{{course?.units}}</div>
            <div class='sis--list-group-item_sm_column d-none d-lg-block'>{{course?.ects}}</div>
          </div>
        </li>
      </ul>
      <!-- End of List Group Body-->

      <!--Show this when registration is empty-->
      <div class="display-flex" *ngIf="isEmptyRegistration">
        <div class="col-12 text-center">
          <h2 class="mt-2 empty_reg" [translate]="'Checkout.EmptyRegistration'"></h2>
        </div>
      </div>

    </div>


    <!--RIGHT INFO-CONTAINER -->
    <div class="reg2__info-container d-none d-lg-flex">
      <div class="reg2__info-container__main-card">
        <div class="reg2__info-container__main-card_img text-gray-500">
          <i class="far fa-edit fa-4x"></i>
        </div>
        <div class="font-sm" [translate]="'Registrations.StatementOfRegistration'"></div>
        <div class="font-lg mt-2 mb-3-5 text-center">
          <div [translate]="'PeriodRegistrationEffectiveStatus.' + code + '.windowStatus'"></div>
          <div class="text-success" [translate]="'PeriodRegistrationEffectiveStatus.' + code + '.windowExtraStatus'"></div>
          <button class="reg2__button-primary btn reg2__success-button mt-3" style="margin-right:auto;margin-left: auto;"
            type="button" [translate]="'RegistrationsButtons.Submit'" *ngIf="registrationEdited" (click)="registerSelected()"></button>
        </div>
        <hr style="width:100%;">
        <div class="reg2__counting-box font-lg">
          <div class="reg2__counting-box_left-side">
            <ul>
              <li class="mb-1" [translate]="'Registrations.ChosenCourses'"></li>
              <li class="mb-1" [translate]="'Registrations.TotalCp'"></li>
              <li class="mb-1" [translate]="'Registrations.TotalEcts'"></li>
            </ul>

          </div>
          <div class="reg2__counting-box_right-side">
            <ul>
              <li class="mb-1">{{this.coursesToRegister?.length}}</li>
              <li class="mb-1">{{this.totalUnits}}</li>
              <li class="mb-1">{{this.totalEcts}}</li>
            </ul>
          </div>
        </div>

      </div>
    </div>

  </div>

</div>
